package com.example.aped.ui.all_IOs;

import android.app.Activity;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.SearchView;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import com.example.aped.MainActivity;
import com.example.aped.R;

import java.util.List;

public class AllIOsFragment extends Fragment {
    ListView lv;
    SearchView searchView;
    ArrayAdapter<String> adapter;
    List<String> name = MainActivity.xml.getDeviceNames();//{"IN1", "Temperatur extern > 5°C", "Strom Heizung < 10A"};
    //String[] state = {"FALSE", "TRUE", "FALSE"};
    int[] images =new int[name.size()];// {R.drawable.red_signal, R.drawable.green_signal, R.drawable.red_signal};
    int[] favoriten = new int[name.size()];//{android.R.drawable.btn_star_big_off, android.R.drawable.btn_star_big_on, android.R.drawable.btn_star_big_off};
    int[] favoriten_state = new int[name.size()];

    @Override
    public View onCreateView(LayoutInflater inflater,
                             ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_all_ios, container,
                false);
        lv = (ListView) view.findViewById(R.id.idListView);
        CustomAdapter customAdapter = new CustomAdapter();
        lv.setAdapter(customAdapter);
        return view;
    }

        class CustomAdapter extends BaseAdapter {

            @Override
            public int getCount() {
                return name.size();
            }

            @Override
            public Object getItem(int position) {

                return null;
            }

            @Override
            public long getItemId(int position) {

                return 0;
            }

            @Override
            public View getView(int i, View view, ViewGroup viewGroup) {
                if(MainActivity.uebergabe.read(name.get(i))=="FALSE")
                {
                    images[i]=R.drawable.red_signal;
                }else {
                    images[i] = R.drawable.green_signal;
                }
                if(favoriten_state[i]==0)
                {
                    favoriten[i]=android.R.drawable.btn_star_big_off;
                }else {
                    favoriten[i] = android.R.drawable.btn_star_big_on;
                }
                view = getLayoutInflater().inflate(R.layout.listview_layout, null);
                ImageView imageView = (ImageView) view.findViewById(R.id.images);
                TextView TextView_Name = (TextView) view.findViewById(R.id.textName);
                TextView TextView_State = (TextView) view.findViewById(R.id.textState);
                ImageView ButtonView_Favoriten = (ImageView) view.findViewById(R.id.imageButtonFavoriten);

                ButtonView_Favoriten.setOnClickListener(new View.OnClickListener(){
                    @Override
                            public void onClick(View view){
                        if(favoriten_state[i]==0){
                            favoriten_state[i]=1;
                            favoriten[i]=android.R.drawable.btn_star_big_on;
                            ButtonView_Favoriten.setImageResource(favoriten[i]);
                        }else{
                            favoriten_state[i]=0;
                            favoriten[i]=android.R.drawable.btn_star_big_off;
                            ButtonView_Favoriten.setImageResource(favoriten[i]);
                        }
                    }
                });
                imageView.setImageResource(images[i]);
                TextView_Name.setText(name.get(i));
                TextView_State.setText(MainActivity.uebergabe.read(name.get(i)));
                ButtonView_Favoriten.setImageResource(favoriten[i]);
                return view;
            }
        }
    }
